{% extends 'base.html' %}
{% block title %}This is the project{% endblock %}

{% block body %}
    <h1>Initialisation de la transaction.</h1>

    <form id="myForm" method="post" action="https://payment-webinit.simu.sips-services.com/paymentInit"
          style="display: none">
        <input id="data" type="hidden" name="Data" value="{{ data }}">
        <input id="interface" type="hidden" name="InterfaceVersion" value="HP_2.34">
        <input id="seal" type="hidden" name="Seal" value="{{ seal }}">
        <input id="submit" type="submit" value="Payer">
    </form>

    <script>
        window.onload = function () {
            document.querySelector('#submit').click();
        }
    </script>
{% endblock %}